<?php if(LOGGED!==1) { exit(); } 

function sign($n) { return ( $n > 0 ) ? 'one' : ( ( $n < 0 ) ? 'two' : 'zero' );  } 

function print_sign($v) { return str_replace(array(0=>'one',1=>'two',2=>'zero'),array(0=>'<span class="greenlex">+ '.strtokm(abs($v)).'%</span>',1=>'<span class="redl">- '.strtokm(abs($v)).'%</span>',2=>'<span class="greyl">'.$v.'%</span>'),sign($v)); }

function strtokm($v) { if($v>999999) { $v=round($v/10000,1).'m'; } else if($v>9999) { $v=round($v/1000).'k'; } return $v; }

function create_analytics_graph($width,$height,$data_number,$data_delay,$data_type,$data_colrs,$end_date,$start_date,$id,$path) { if(!$path) { $path=ROOT; }

foreach($data_number as $n=>$v) {
if(empty($end_date[$n])) { $end_date[$n]=date('Y').'/'.date('m').'/'.date('d').'/'; $year=date('Y'); $month=date('n'); $day=date('j'); } else { $datinf=explode('/',$end_date[$n]); $year=$datinf[0]; $month=$datinf[1]; $day=$datinf[2]; }

if(empty($start_date[$n])) { $start_date[$n]=date('Y').'/'.date('m').'/'.date('d').'/'; $syear=date('Y'); $smonth=date('n'); $sday=date('j'); } else { $datinf=explode('/',$start_date[$n]); $syear=$datinf[0]; $smonth=$datinf[1]; $sday=$datinf[2]; } 

$day=$day+$data_delay[$n];

$dataar[$n]=array(); $dataard[$n]=array(); $dataardy[$n]=array(); for($i=0;$i<=$v;$i++) {
	$day=$day-$data_delay[$n];
	if($day<1) { $month--; $day=cal_days_in_month(CAL_GREGORIAN, $month, $year)+$day; }
	if($month<1) { $month=12; $year--; }
	
	if(!@include($path.'analytics/'.$year.'/'.sprintf('%02d', $month).'/'.sprintf('%02d', $day).'/data.php')) { $views=0; $visitors=0; } array_push($dataard[$n],$day.'/'.$month); array_push($dataardy[$n],$year);
	
	if($data_type[$n]=='views') { $pushval=$views; } else if($data_type[$n]=='visitors') { $pushval=$visitors; } array_push($dataar[$n],$pushval);
  }
}

print '<div class="analytics_graph" style="width:'.$width.'px;height:'.$height.'px">';

$xsca=array(); foreach($dataar as $n=>$v) { $mrgwpix[$n]=($width-15)/count($v); if($maxval<max($v)) { $emaxval=max($v); } $maxval=max($v); $minval=min($v); $heightprop[$n]=($height-80)/($maxval-$minval); if(count($xsca) < count($dataard[$n])) { $xsca=array_reverse($dataard[$n]); } }
$mrgwpixf=round(min($mrgwpix),1); $heightpropf=round(min($heightprop),1); if($heightpropf<20) { $heightpropf=20; } $ysca=array(); for($c=0;$c<=round(($height-40)/$heightpropf);$c++) { array_push($ysca,round(($emaxval/(($height-40)/$heightpropf))*$c)); }


print '<div class="ydataindex">'; foreach($ysca as $n=>$v) { print '<div class="ydata" style="bottom:'.(($n*$heightpropf)-10).'px">'.$v.'</div>'; } print '</div>';

print '<div class="xdataindex">'; foreach($xsca as $n=>$v) { print '<div class="xdata" style="left:'.$n*$mrgwpixf.'px">'.$v.'</div>'; } print '</div>';

print '<div class="graphcont">';

foreach($dataar as $n=>$v) { $final=0; $v=array_reverse($v); $dataard[$n]=array_reverse($dataard[$n]); $dataardy[$n]=array_reverse($dataardy[$n]);
	for($i=0;$i<count($v);$i++) {
	
	$origy=round(($v[$i]*(($height-40)/$emaxval))-10,1); $origx=$i*$mrgwpixf; if(isset($v[$i+1])) { $norigy=round(($v[$i+1]*(($height-40)/$emaxval))-10,1); $norigx=($i+1)*$mrgwpixf; } else { $norigy=$origy; $norigx=$origx; $final=1; }
	
	$deg=-round(rad2deg(atan(($norigy-$origy)/($norigx-$origx))),1);
	$clength=round(sqrt(pow($norigx-$origx,2)+pow($norigy-$origy,2)),1);
	
	$csid=$i.$id.$v[$i].$n;
	if(strlen(strstr($_SERVER['HTTP_USER_AGENT'],"Firefox"))>0){ $isfirefox=1; } else if(preg_match('/MSIE (.*?);/',$_SERVER['HTTP_USER_AGENT'])) { $isie=1; }
	
	$f=round(450/$data_number[$n]); $dely=$i*$f; $delyst='-webkit-animation-delay:'.$dely.'ms;';
	if($isfirefox) { $delyst='-moz-animation-delay:'.$dely.'ms;'; }
	if($isie) { $delyst='-ms-animation-delay:'.$dely.'ms;'; }
	
	if(!$final) { $finalcss=$finalcss.'.animate .line'.$csid.' {-webkit-transform:rotate('.$deg.'deg);-webkit-transform-origin:left bottom;-webkit-animation:move'.$csid.' '.$f.'ms '.$dely.'ms linear forwards;}@-webkit-keyframes move'.$csid.' { 0% { width:0px;} 100% { width:'.$clength.'px; } }';
	  if($isfirefox) { $finalcss=$finalcss.'.animate .line'.$csid.' {-moz-transform:rotate('.$deg.'deg);-moz-transform-origin:left bottom; -moz-animation:move'.$csid.' '.$f.'ms '.$dely.'ms linear forwards;}@-moz-keyframes move'.$csid.' { 0% { width:0px;} 100% { width:'.$clength.'px; } }'; }
	  if($isie) { $finalcss=$finalcss.'.animate .line'.$csid.' {-ms-transform:rotate('.$deg.'deg);-ms-transform-origin:left bottom;-ms-animation:move'.$csid.' '.$f.'ms '.$dely.'ms linear forwards;}@-ms-keyframes move'.$csid.' { 0% { width:0px;} 100% { width:'.$clength.'px; } }'; } 
	}
	
$visln='visualizzazioni'; if($v[$i]==1) { $visln='visualizzazione'; }
if($data_type[$n]=='visitors') { $visln='visitatori'; if($v[$i]==1) { $visln='visitatore'; } }

print '<div class="point" style="bottom:'.$origy.'px;left:'.$origx.'px;background:'.$data_colrs[$n].';'.$delyst.'"><a href="javascript:void(0)"><small>'.$v[$i].' '.$visln.'<br />'.$dataard[$n][$i].'/'.$dataardy[$n][$i].'</small></a></div>
<div class="pulse" style="bottom:'.($origy-2).'px;left:'.($origx-2).'px;border-color:'.$data_colrs[$n].';box-shadow: 0 0 5px '.$data_colrs[$n].';'.$delyst.'"></div>
<div class="line line'.$csid.'" style="bottom:'.($origy+5).'px;left:'.($origx+5).'px;background:'.$data_colrs[$n].';"></div>';
	}
}


print '</div></div><style>'.$finalcss.'</style>';
} ?>